# Uses of Interface
org.eclipse.emf.cdo.transaction.CDOFileTransaction

Packages that use CDOFileTransaction
Package
Description
org.eclipse.emf.cdo.util
Client utility classes, some common interfaces and exceptions.

## Uses of CDOFileTransaction in org.eclipse.emf.cdo.util

Methods in org.eclipse.emf.cdo.util that return CDOFileTransaction
Modifier and Type
Method
Description
`static CDOFileTransaction`
CDOUtil.`createFileTransaction(CDOTransaction delegate)`
Creates a file-backed transaction using a generated temporary file.
`static CDOFileTransaction`
CDOUtil.`createFileTransaction(CDOTransaction delegate, File file)`
Creates a file-backed transaction using the given file.
`static CDOFileTransaction`
CDOUtil.`createFileTransaction(CDOTransaction delegate, File file, boolean reconstructSavepoints)`
Creates a file-backed transaction using the given file and savepoint reconstruction policy.